Project

General

Profile

Bug #10923

Update ixl Driver on pfSense 2.5.0 to bring back Intel X710-T2L/T4L support that was present on version 2.4.5-P1.

Added by Abhinav Tella about 1 month ago. Updated 17 days ago.

Status:
Resolved
Priority:
Normal
Assignee:
-
Category:
Hardware / Drivers
Target version:
Start date:
09/21/2020
Due date:
% Done:

0%

Estimated time:
Affected Version:
2.5.0
Affected Architecture:
amd64

Description

Intel X710 T-2L/T-4L devices were supported on pfSense 2.4.5-P1, however a regression from FreeBSD 12 onwards meant support for these devices was lost.

I filed a bug report with FreeBSD in August and the necessary commits to fix the issue seemed to have been committed in FreeBSD on Sept 4, 2020.

The latest pfSense 2.5.0 builds do not have these changes and it would be nice if we could get support back for the X710-T2L/T4L devices. Currently we need to manually compile the drivers from Intel's site to get the cards working.

Here is the link to the bug report at FreeBSD's site and their response:
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=249058

History

#1 Updated by Abhinav Tella 19 days ago

I did a fresh install with the latest build (Oct 3) and the X710-T2L is detected and the 2.5 Gbps and 5 Gbps Eth modes are also working. So it seems the fixes have been absorbed from FreeBSD.

Please mark this issue as resolved. Thanks!

#2 Updated by Jim Pingle 17 days ago

  • Status changed from New to Resolved
  • Target version set to 2.5.0

Also available in: Atom PDF